using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class DictTemplate : ImportBase
    {
        [ExcelColumn("分类")]
        public string cat { get; set; }

        [ExcelColumn("键")]
        public string dkey { get; set; }

        [ExcelColumn("值")]
        public string dval { get; set; }

        [ExcelColumn("创建时间")]
        [DonnetValidate]
        [DonnetCreate]
        public string creattime { get; set; }
    }

    public class DictList : DictTemplate
    {
        [ExcelColumn("序号")]
        [DonnetCreate]
        public int No { get; set; }
    }
}
